#33 Update koji dependency
Merged 5 months ago by onosek. Opened 5 months ago by onosek.
rpms/ onosek/rpkg koji_dependency  into  master

file modified
+8 -17

@@ -4,7 +4,7 @@ 

  

  Name:           rpkg

  Version:        1.58

- Release:        9%{?dist}

+ Release:        10%{?dist}

  

  Summary:        Python library for interacting with rpm+git

  License:        GPLv2+ and LGPLv2

@@ -53,12 +53,7 @@ 

  

  # We br these things for man page generation due to imports

  BuildRequires:  rpmlint

- %if 0%{?rhel} && 0%{?rhel} < 8

- # TODO: Require 1.17 version of koji when it is released for RHEL

- BuildRequires:  python2-koji >= 1.16.2-32.6

- %else

  BuildRequires:  python2-koji >= 1.17

- %endif

  BuildRequires:  python2-cccolutils

  BuildRequires:  PyYAML

  

@@ -94,12 +89,7 @@ 

  Requires:       rpmlint

  

  Requires:       python2-cccolutils

- %if 0%{?rhel} && 0%{?rhel} < 8

- # TODO: Require 1.17 version of koji when it is released for RHEL

- Requires:       python2-koji >= 1.16.2-32.6

- %else

  Requires:       python2-koji >= 1.17

- %endif

  Requires:       PyYAML

  

  %if 0%{?rhel}

@@ -146,12 +136,11 @@ 

  

  BuildRequires:  python3-devel

  BuildRequires:  python3-GitPython

+ BuildRequires:  python3-koji >= 1.17

  %if 0%{?rhel} > 7

- BuildRequires:  python3-koji >= 1.16.2-32.6

- Requires:       python3-gobject-base

- Requires:       libmodulemd

+ BuildRequires:  python3-gobject-base

+ BuildRequires:  libmodulemd

  %else

- BuildRequires:  python3-koji >= 1.17

  BuildRequires:  python3-libmodulemd1

  %endif

  BuildRequires:  python3-cccolutils

@@ -172,12 +161,11 @@ 

  

  Requires:       python3-GitPython >= 0.2.0

  Requires:       python3-cccolutils

+ Requires:       python3-koji >= 1.17

  %if 0%{?rhel} > 7

- Requires:       python3-koji >= 1.16.2-32.6

  Requires:       python3-gobject-base

  Requires:       libmodulemd

  %else

- Requires:       python3-koji >= 1.17

  Requires:       python3-libmodulemd1

  %endif

  Requires:       python3-rpm

@@ -287,6 +275,9 @@ 

  

  

  %changelog

+ * Mon Sep 16 2019 Ondřej Nosek <onosek@redhat.com> - 1.58-10

+ - Update koji dependency

+ 

  * Sat Aug 17 2019 Miro Hrončok <mhroncok@redhat.com> - 1.58-9

  - Rebuilt for Python 3.8

  

All needed koji builds were released, no need to specify version for
various environments.

Signed-off-by: Ondřej Nosek onosek@redhat.com

Pull-Request has been merged by onosek

5 months ago